Package org.lwjgl.opengl

# Class ARBTextureRg

java.lang.Object
org.lwjgl.opengl.ARBTextureRg

public final class ARBTextureRg extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_R16`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_R16F`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_R16I`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_R16UI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_R32F`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_R32I`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_R32UI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_R8`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_R8I`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_R8UI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_RG`
Accepted by the <format> parameter of TexImage3D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:
`static final int`
`GL_RG_INTEGER`
Accepted by the <format> parameter of TexImage3D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:
`static final int`
`GL_RG16`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_RG16F`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_RG16I`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_RG16UI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_RG32F`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_RG32I`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_RG32UI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_RG8`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_RG8I`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_RG8UI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_R8

public static final int GL_R8
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_R16

public static final int GL_R16
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_RG8

public static final int GL_RG8
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_RG16

public static final int GL_RG16
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_R16F

public static final int GL_R16F
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_R32F

public static final int GL_R32F
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_RG16F

public static final int GL_RG16F
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_RG32F

public static final int GL_RG32F
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_R8I

public static final int GL_R8I
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_R8UI

public static final int GL_R8UI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_R16I

public static final int GL_R16I
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_R16UI

public static final int GL_R16UI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_R32I

public static final int GL_R32I
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_R32UI

public static final int GL_R32UI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_RG8I

public static final int GL_RG8I
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_RG8UI

public static final int GL_RG8UI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_RG16I

public static final int GL_RG16I
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_RG16UI

public static final int GL_RG16UI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_RG32I

public static final int GL_RG32I
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_RG32UI

public static final int GL_RG32UI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_RG

public static final int GL_RG
Accepted by the <format> parameter of TexImage3D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:

See Also:
  - Constant Field Values

### GL_RG_INTEGER

public static final int GL_RG_INTEGER
Accepted by the <format> parameter of TexImage3D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:

See Also:
  - Constant Field Values